org.keycloak.dom.xmlsec.w3.xmldsig

## Class SignatureMethodType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.SignatureMethodType

-     public class SignatureMethodType
      extends Object

  Java class for SignatureMethodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignatureMethodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="HMACOutputLength" type="{http://www.w3.org/2000/09/xmldsig#}HMACOutputLengthType"
       minOccurs="0"/>
               <any/>
             </sequence>
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `algorithm`
    `protected List<Object>` | `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureMethodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object obj)`
    `String` | `getAlgorithm()` Gets the value of the algorithm property.
    `List<Object>` | `getContent()` Gets the value of the content property.
    `void` | `remove(Object obj)`
    `void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Object> content

    - #### algorithm

          protected String algorithm

  - ### Constructor Detail

    - #### SignatureMethodType

          public SignatureMethodType()

  - ### Method Detail

    - #### add

          public void add(Object obj)

    - #### remove

          public void remove(Object obj)

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property. `Object` `String`

    - #### getAlgorithm

          public String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

    - #### setAlgorithm

          public void setAlgorithm(String value)

      Sets the value of the algorithm property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.